
// LCD
#define CTRL 0x60
#define ESCAPE 0x1b
#define LCD_CLEAR   lcd_putc(0x0d); lcd_putc(0x0a); lcd_putc(0x18);
#define LCD_HOME            lcd_putc(ESCAPE); lcd_putc(0x02); // (^c ^b)
#define LCD_SPACE           lcd_putc(0x20);
#define GLCD_CLEAR_DELAY 200
#define GLCD_LINE_DELAY 150
#define GLCD_CLEAR 'x'-CTRL

// for distance modules
#define FRONT_OFFSET              30 // cm from sonar to bumper
#define SIDE_OFFSET               15 // cm
#define SONAR_AHEAD             1600 // for sonar servo
#define SONAR_LEFT              2000 // ms
#define SONAR_RIGHT             1000 // ms

#define STEER_STRAIGHT     1600  // was 1550
#define STEER_HARD_LEFT    2000
#define STEER_SLIGHT_LEFT  STEER_STRAIGHT + 150
#define STEER_SLIGHT_RIGHT STEER_STRAIGHT - 150
#define STEER_HARD_RIGHT   1000

#define OMI_AHEAD  '1'
#define OMI_LEFT   '2'
#define OMI_RIGHT  '3'
#define OMI_BEHIND '4'
#define OMI_OFF    '0'

// devices

 void steer(int16);
 float get_battery_voltage(void);
 void lcd_putc(char);
 void lcd_move_cursor(int8, int8);
 void motor_speed (unsigned char);
 void tone(int16 frequency, int16 duration);
 int16 sonar(void);
 void aim_sonar(int16, int16); //  pulse width in ms, # of pulses
 int16 left_ir(void);  // for the Sharp GP2D02 distance sensor
 int8 get_gpsstring(void);
 float getfloat(void);
 void omi(char);
 int8 gps_getc(void);
 void five_point_scan (void);
int16 look_left(void);
int16 look_ahead(void);
int16 look_right(void);

 void blink(int16);
 //void tx_delay(int8);  // why is this here?
 int8 get_gpsstring(void);
 int16 compass(void);

